Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.utility.curl
Class DgraphUpdateUtility

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement
          com.endeca.soleng.eac.toolkit.utility.Utility
              com.endeca.soleng.eac.toolkit.utility.ShellUtility
                  com.endeca.soleng.eac.toolkit.utility.curl.CurlUtility
                      com.endeca.soleng.eac.toolkit.utility.curl.DgraphUpdateUtility

    public class DgraphUpdateUtility

extends CurlUtility

Utility used to trigger a dgraph partial update via a curl call to the Dgraphs admin?op=update administrative URL.

Field Summary

Fields inherited from class com.endeca.soleng.eac.toolkit.utility.Utility
`EAC_MAX_TOKEN_LENGTH, ENDECA_CONF, IS_WINDOWS, WINDOWS_MAX_PATH_LENGTH`

Fields inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`appName, dataPrefix, eacHost, eacPort, elementId, lockManager, logDir, sslEnabled, workingDir`

Constructor Summary
`DgraphUpdateUtility(java.lang.String appName, java.lang.String eacHost, int eacPort, boolean sslEnabled)` Default (inherited) constructor.

Method Summary
`void` | `init(java.lang.String host, java.lang.String hostname, java.lang.String port, java.lang.String workingDir)` Dgraph update initializer.
`void` | `init(java.lang.String host, java.lang.String hostname, java.lang.String port, java.lang.String workingDir, boolean offlineUpdate, int numCacheWarmupSeconds)` Dgraph update initializer.
`void` | `init(java.lang.String host, java.lang.String hostname, java.lang.String port, java.lang.String workingDir, boolean offlineUpdate, int numCacheWarmupSeconds, java.lang.String certFile, java.lang.String caFile)` Dgraph update initializer.

Methods inherited from class com.endeca.soleng.eac.toolkit.utility.curl.CurlUtility
`getBinaryDir, getCurlBinary, init, init, init`

Methods inherited from class com.endeca.soleng.eac.toolkit.utility.ShellUtility
`buildEacStub, conditionalRun, getCommand, getHostId, initializeEacStub, maximumAllowedTokenLength, setCommand, setHostId`

Methods inherited from class com.endeca.soleng.eac.toolkit.utility.Utility
`getDirContents, getMaxMissedStatusChecksAllowed, getMaxWaitTimeSeconds, getMinWaitTimeSeconds, getNonNullPositiveLongValueOrDefault, getNumMissedStatusChecks, getSlowPollingIntervalMs, getStandardPollingIntervalMs, getStatus, incrementMissedStatusQueries, initializeEacStub, isActive, isFailed, run, runInParallel, setElementId, setMaxMissedStatusQueriesAllowed, setMaxWaitSeconds, setMinWaitSeconds, setNumMissedStatusChecks, setPollingIntervalMs, setSlowPollingIntervalMs, start, stop, waitForFinished`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`getAppName, getDataPrefix, getEacHost, getEacPort, getElementId, getLockManager, getLogDir, getWorkingDir, isSslEnabled, setAppName, setDataPrefix, setEacHost, setEacPort, setLockManager, setLogDir, setSslEnabled, setWorkingDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DgraphUpdateUtility

    public DgraphUpdateUtility(java.lang.String appName,
                               java.lang.String eacHost,
                               int eacPort,
                               boolean sslEnabled)
                        throws AppConfigurationException

  Default (inherited) constructor.

  Throws:
    `AppConfigurationException` - If the application name or EAC host is null.

Method Detail

### init

    public void init(java.lang.String host,
                     java.lang.String hostname,
                     java.lang.String port,
                     java.lang.String workingDir)

  Dgraph update initializer.

  Overrides:
    `init` in class `ShellUtility`
  Parameters:
    `host` - ID of the host on which to execute the command.
    `hostname` - Dgraph hostname.
    `port` - Dgraph port.
    `workingDir` - Working directory from which to execute the command.

### init

    public void init(java.lang.String host,
                     java.lang.String hostname,
                     java.lang.String port,
                     java.lang.String workingDir,
                     boolean offlineUpdate,
                     int numCacheWarmupSeconds)

  Dgraph update initializer.

  Parameters:
    `host` - ID of the host on which to execute the command.
    `hostname` - Dgraph hostname.
    `port` - Dgraph port.
    `workingDir` - Working directory from which to execute the command.
    `offlineUpdate` - Whether the Dgraph should be taken offline during an update (recommended). This parameter is no longer relevant, as the MDEX Engine no longer supports online updates. This value is no longer send to the dgraph.
    `numCacheWarmupSeconds` - Number of seconds to run cache warming after an update is applied.

### init

    public void init(java.lang.String host,
                     java.lang.String hostname,
                     java.lang.String port,
                     java.lang.String workingDir,
                     boolean offlineUpdate,
                     int numCacheWarmupSeconds,
                     java.lang.String certFile,
                     java.lang.String caFile)

  Dgraph update initializer.

  Parameters:
    `host` - ID of the host on which to execute the command.
    `hostname` - Dgraph hostname.
    `port` - Dgraph port.
    `workingDir` - Working directory from which to execute the command.
    `offlineUpdate` - Whether the Dgraph should be taken offline during an update (recommended). This parameter is no longer relevant, as the MDEX Engine no longer supports online updates. This value is no longer send to the dgraph.
    `numCacheWarmupSeconds` - Number of seconds to run cache warming after an update is applied.
    `certFile` - The certificate file that is needed to use HTTPS to communicate with the Dgraph. This is 'null' if HTTP is used instead.
    `caFile` - The Certificate Authority that is needed to verify the various certificates when communicating with the Dgraph using HTTPS. This is 'null' if HTTP is used instead.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Toolkit (eacToolkit)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:15-0500